C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION GCV(I,ISV)
C*****CET CURVE
	IMPLICIT INTEGER*2 (D-Z)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512),ICS,ICB
	GCV=O
	IOF=1
	IF(I.EQ.2)IOF=513
	IB=(ISV-1)*4+5
	IF(IREADW(1024,CURVE1(IOF),IB,ICB).LT.0)GOTO 50
	RETURN
50	GCV=-1
	RETURN
	END
	FUNCTION PCV(I,ISV)
C*****PUT CURVE
	IMPLICIT INTEGER*2 (D-Z)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512),ICS,ICB
	PCV=0
	IOF=1
	IF(I.EQ.2)IOF=513
	IB=(ISV-1)*4+5
	IF(IWRITW(1024,CURVE1(IOF),IB,ICB).LT.0)GOTO 50
	RETURN
50	PCV=-1
	RETURN
	END
